<?
/*
Автор: ЗэК (ZeK)
E-mail: otwap.ru@bk.ru
icq: 10361141
*/

include 'system/function.php';
zek('http://nasimke.ru/?login='.$login.'&pass='.$pass,true);
switch($_GET['zek']){
default:
$zek=zek('http://nasimke.ru/fo/'.(isset($_GET['inf'])?'index/'.intval($_GET['inf']):'').''.(isset($_GET['page'])?'?page='.$page:''));
preg_match('#<div class="menu">(.*)<b>(.*)</b>#sU',$zek,$titl);
$title=(isset($_GET['inf']) && !empty($titl[2])?check($titl[2]):'Yuklamalar olami - Ajoyib.Ru');
include 'system/head.php';
echo '<div class="phdr">'.$title.'</div>';
preg_match_all('#<img src="/images/files/dir.gif(.*)href="/fo/index/([0-9]+)(|\?.*)">(.*)</a>(.*)\(([0-9]+)\)#sU',$zek,$dir);
if (!empty($dir[2][0]) || !empty($dir[2][1]) || !empty($dir[2][2])){
for($d=0; $d<count($dir[2]); $d++){
$dir[4][$d]=str_replace('Творчество СИМковцев', 'Наше творчество',$dir[4][$d]);
echo '<div class="menu"><a href="'.$site.'/'.tr($dir[4][$d]).'_'.intval($dir[2][$d]).'/"><img src="'.$site.'/img/ico.png" alt="*"> '.check($dir[4][$d]).' ('.intval($dir[6][$d]).')</a></div>';
}
}
preg_match_all('#(src="/files_md/(.*)(|\?.*)".*|)<img src="/images/files/icons/(.*)<a href="/fo/view/([0-9]+)(|\?.*)">(.*)</a>#sU',$zek,$files);
if (!empty($files[5][0]) || !empty($files[5][1]) || !empty($files[5][2])){
for($f=0; $f<count($files[5]); $f++){
echo '<div class="menu"><a href="'.$site.'/view/'.tr($files[7][$f]).'_'.intval($files[5][$f]).'/"><img src="'.(empty($files[2][$f])?$site.'/img/no_image.gif':$site.'/screen/'.check($files[2][$f])).'" width="60px" height="60px"> '.check($files[7][$f]).'</a></div>';
}
}
preg_match_all('#href="/fo/index/([0-9]+)\?page=([0-9]+)(\?|")#sU',$zek,$nav);
navigator($page,$nav[2][(count($nav[2])-1)],$site.'/'.tr($_GET['name']).'_'.intval($_GET['inf']).'/');
if (empty($dir[2][0]) && empty($dir[2][1]) && empty($dir[2][2]) && empty($files[5][0]) && empty($files[5][1]) && empty($files[5][2])){
echo '<div class="menu">Ошибка</div>';
}
break;
case 'view':
$zek=zek('http://nasimke.ru/fo/view/'.intval($_GET['inf']));
preg_match('#<div class="c1">(.*)<div class="hr">(.*)<img src(.*)>(.*)<div#sU',$zek,$titl);
$titl[4]=preg_replace('#<span(.*)>(.*)</span>#sU','\2',$titl[4]);
$title=(!empty($titl[4])?check($titl[4]):'Бесплатные загрузки');
include 'system/head.php';
echo '<div class="phdr"><h1>'.$title.'</h1></div>';
preg_match('#<div class="c1">(.*)<div class="hr"></div>(.*)<div class="c2"#sU',$zek,$out);
$out[2]=preg_replace('#<(.*)>#sU','',$out[2]);
$out=check($out[2]);
preg_match('#src="/files_md/preview/(.*)(|\?.*)"#sU',$zek,$src);
echo '<div class="menu">';
echo '<img src="'.(empty($src[1])?$site.'/img/no_image.gif':$site.'/screen/preview/'.check($src[1])).'" alt="*"><br/>';
echo '<br/><b>Название:</b> '.$title.'<br/>';
if (!empty($out)){echo '<br/>'.$out;}
echo '</div>';
preg_match_all('#<a href="/get/files_md/(.*)(|\?.*)">(.*)</a>#sU',$zek,$d_img);
if (!empty($d_img[1][0]) || !empty($d_img[1][1]) || !empty($d_img[1][2])){
for($i=0; $i<count($d_img[1]); $i++){
$d_img[1][$i]=str_replace('nasimke_ru',$copy,$d_img[1][$i]);
$size=getimagesize('http://nasimke.ru/get/files_md/'.check($d_img[1][$i]));
echo '<div class="menu"><a href="'.$site.'/screen/'.check($d_img[1][$i]).'">'.check($d_img[3][$i]).' '.($size?$size[0].'x'.$size[1]:'').'</a></div>';
}
}
preg_match_all('#<a href="/fo/get/([0-9]+)(|\?.*)">(.*)</a>#sU',$zek,$dwn);
if (!empty($dwn[1][0]) || !empty($dwn[1][1]) || !empty($dwn[1][2])){
for($f=0; $f<count($dwn[1]); $f++){
$dwn[3][$f]=str_replace('Скачать','',$dwn[3][$f]);
echo '<div class="menu"><a href="'.$site.'/download/'.intval($dwn[1][$f]).'/'.base64_encode(check($dwn[2][$f])).'">Скачать '.check($dwn[3][$f]).'</a></div>';
}
}
break;
}
include 'system/foot.php';
?>